# HG changeset patch
# Node ID 5d2081f1ff86
# Parent  5f034a5261c3
diff --git a/libpurple/account.h b/libpurple/account.h
--- a/libpurple/account.h
+++ b/libpurple/account.h
@@ -58,7 +58,7 @@
 #include "connection.h"
 #include "group.h"
 #include "proxy.h"
-#include "protocol.h"
+#include "purpleprotocol.h"
 #include "status.h"
 #include "xmlnode.h"
 
diff --git a/libpurple/buddylist.c b/libpurple/buddylist.c
--- a/libpurple/buddylist.c
+++ b/libpurple/buddylist.c
@@ -29,8 +29,8 @@
 #include "debug.h"
 #include "notify.h"
 #include "prefs.h"
-#include "protocol.h"
 #include "purpleprivate.h"
+#include "purpleprotocol.h"
 #include "purpleprotocolchat.h"
 #include "purpleprotocolclient.h"
 #include "purpleconversation.h"
diff --git a/libpurple/connection.h b/libpurple/connection.h
--- a/libpurple/connection.h
+++ b/libpurple/connection.h
@@ -232,7 +232,7 @@
 #include <time.h>
 
 #include "account.h"
-#include "protocol.h"
+#include "purpleprotocol.h"
 #include "status.h"
 
 /**
diff --git a/libpurple/meson.build b/libpurple/meson.build
--- a/libpurple/meson.build
+++ b/libpurple/meson.build
@@ -35,7 +35,6 @@
 	'pluginpref.c',
 	'prefs.c',
 	'proxy.c',
-	'protocol.c',
 	'protocols.c',
 	'purple-gio.c',
 	'purpleaccountoption.c',
@@ -63,6 +62,7 @@
 	'purpleoptions.c',
 	'purpleplugininfo.c',
 	'purplepresence.c',
+	'purpleprotocol.c',
 	'purpleprotocolattention.c',
 	'purpleprotocolchat.c',
 	'purpleprotocolclient.c',
@@ -130,7 +130,6 @@
 	'pluginpref.h',
 	'prefs.h',
 	'proxy.h',
-	'protocol.h',
 	'protocols.h',
 	'purple-gio.h',
 	'purpleaccountoption.h',
@@ -158,6 +157,7 @@
 	'purpleoptions.h',
 	'purpleplugininfo.h',
 	'purplepresence.h',
+	'purpleprotocol.h',
 	'purpleprotocolattention.h',
 	'purpleprotocolchat.h',
 	'purpleprotocolclient.h',
@@ -241,12 +241,12 @@
 	'eventloop.h',
 	'notify.h',
 	'plugins.h',
-	'protocol.h',
 	'purplechatuser.h',
 	'purpleconversation.h',
 	'purpleimconversation.h',
 	'purplemessage.h',
 	'purpleplugininfo.h',
+	'purpleprotocol.h',
 	'roomlist.h',
 	'status.h',
 	'xfer.h',
diff --git a/libpurple/protocol.h b/libpurple/purpleprotocol.h
rename from libpurple/protocol.h
rename to libpurple/purpleprotocol.h
diff --git a/libpurple/protocol.c b/libpurple/purpleprotocol.c
rename from libpurple/protocol.c
rename to libpurple/purpleprotocol.c
--- a/libpurple/protocol.c
+++ b/libpurple/purpleprotocol.c
@@ -20,7 +20,7 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
-#include "protocol.h"
+#include "purpleprotocol.h"
 
 #include "accounts.h"
 #include "purpleenums.h"
diff --git a/libpurple/protocols.h b/libpurple/protocols.h
--- a/libpurple/protocols.h
+++ b/libpurple/protocols.h
@@ -39,7 +39,7 @@
 typedef struct _PurpleProtocolChatEntry PurpleProtocolChatEntry;
 
 #include "media.h"
-#include "protocol.h"
+#include "purpleprotocol.h"
 #include "status.h"
 
 #define PURPLE_TYPE_PROTOCOL_CHAT_ENTRY  (purple_protocol_chat_entry_get_type())
diff --git a/libpurple/protocols.c b/libpurple/protocols.c
--- a/libpurple/protocols.c
+++ b/libpurple/protocols.c
@@ -27,11 +27,11 @@
 #include "debug.h"
 #include "network.h"
 #include "notify.h"
-#include "protocol.h"
 #include "purpleaccountoption.h"
 #include "purpleconversation.h"
 #include "purpleconversationmanager.h"
 #include "purplecredentialmanager.h"
+#include "purpleprotocol.h"
 #include "purpleprotocolattention.h"
 #include "purpleprotocolmanager.h"
 #include "purpleprotocolmedia.h"
diff --git a/libpurple/purpleconversation.c b/libpurple/purpleconversation.c
--- a/libpurple/purpleconversation.c
+++ b/libpurple/purpleconversation.c
@@ -30,13 +30,13 @@
 #include "debug.h"
 #include "notify.h"
 #include "prefs.h"
-#include "protocol.h"
 #include "purpleconversation.h"
 #include "purpleconversationmanager.h"
 #include "purpleenums.h"
 #include "purplehistorymanager.h"
 #include "purplemarkup.h"
 #include "purpleprivate.h"
+#include "purpleprotocol.h"
 #include "purpleprotocolclient.h"
 #include "request.h"
 #include "signals.h"
diff --git a/libpurple/purpleprotocolattention.h b/libpurple/purpleprotocolattention.h
--- a/libpurple/purpleprotocolattention.h
+++ b/libpurple/purpleprotocolattention.h
@@ -42,7 +42,7 @@
 
 #include <libpurple/account.h>
 #include <libpurple/connection.h>
-#include <libpurple/protocol.h>
+#include <libpurple/purpleprotocol.h>
 
 G_BEGIN_DECLS
 
diff --git a/libpurple/purpleprotocolchat.h b/libpurple/purpleprotocolchat.h
--- a/libpurple/purpleprotocolchat.h
+++ b/libpurple/purpleprotocolchat.h
@@ -42,7 +42,7 @@
 
 #include <libpurple/connection.h>
 #include <libpurple/purplemessage.h>
-#include <libpurple/protocol.h>
+#include <libpurple/purpleprotocol.h>
 
 /**
  * PURPLE_TYPE_PROTOCOL_CHAT:
diff --git a/libpurple/purpleprotocolclient.h b/libpurple/purpleprotocolclient.h
--- a/libpurple/purpleprotocolclient.h
+++ b/libpurple/purpleprotocolclient.h
@@ -42,7 +42,7 @@
 
 #include <libpurple/account.h>
 #include <libpurple/connection.h>
-#include <libpurple/protocol.h>
+#include <libpurple/purpleprotocol.h>
 
 #define PURPLE_TYPE_PROTOCOL_CLIENT (purple_protocol_client_get_type())
 G_DECLARE_INTERFACE(PurpleProtocolClient, purple_protocol_client, PURPLE,
diff --git a/libpurple/purpleprotocolfactory.h b/libpurple/purpleprotocolfactory.h
--- a/libpurple/purpleprotocolfactory.h
+++ b/libpurple/purpleprotocolfactory.h
@@ -41,7 +41,7 @@
 
 #include <libpurple/account.h>
 #include <libpurple/connection.h>
-#include <libpurple/protocol.h>
+#include <libpurple/purpleprotocol.h>
 #include <libpurple/roomlist.h>
 
 G_BEGIN_DECLS
diff --git a/libpurple/purpleprotocolim.h b/libpurple/purpleprotocolim.h
--- a/libpurple/purpleprotocolim.h
+++ b/libpurple/purpleprotocolim.h
@@ -41,7 +41,7 @@
 #include <glib-object.h>
 
 #include <libpurple/connection.h>
-#include <libpurple/protocol.h>
+#include <libpurple/purpleprotocol.h>
 
 /**
  * PURPLE_TYPE_PROTOCOL_IM:
diff --git a/libpurple/purpleprotocolmanager.h b/libpurple/purpleprotocolmanager.h
--- a/libpurple/purpleprotocolmanager.h
+++ b/libpurple/purpleprotocolmanager.h
@@ -26,7 +26,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "protocol.h"
+#include "purpleprotocol.h"
 
 G_BEGIN_DECLS
 
diff --git a/libpurple/purpleprotocolmedia.h b/libpurple/purpleprotocolmedia.h
--- a/libpurple/purpleprotocolmedia.h
+++ b/libpurple/purpleprotocolmedia.h
@@ -42,7 +42,7 @@
 
 #include <libpurple/account.h>
 #include <libpurple/media.h>
-#include <libpurple/protocol.h>
+#include <libpurple/purpleprotocol.h>
 
 #define PURPLE_TYPE_PROTOCOL_MEDIA (purple_protocol_media_get_type())
 G_DECLARE_INTERFACE(PurpleProtocolMedia, purple_protocol_media, PURPLE,
diff --git a/libpurple/purpleprotocolprivacy.h b/libpurple/purpleprotocolprivacy.h
--- a/libpurple/purpleprotocolprivacy.h
+++ b/libpurple/purpleprotocolprivacy.h
@@ -40,7 +40,7 @@
 #include <glib-object.h>
 
 #include <libpurple/connection.h>
-#include <libpurple/protocol.h>
+#include <libpurple/purpleprotocol.h>
 
 /**
  * PURPLE_TYPE_PROTOCOL_PRIVACY:
diff --git a/libpurple/purpleprotocolroomlist.h b/libpurple/purpleprotocolroomlist.h
--- a/libpurple/purpleprotocolroomlist.h
+++ b/libpurple/purpleprotocolroomlist.h
@@ -31,7 +31,7 @@
 
 #include "connection.h"
 #include "roomlist.h"
-#include "protocol.h"
+#include "purpleprotocol.h"
 
 /**
  * SECTION:protocolroomlist
diff --git a/libpurple/purpleprotocolserver.h b/libpurple/purpleprotocolserver.h
--- a/libpurple/purpleprotocolserver.h
+++ b/libpurple/purpleprotocolserver.h
@@ -44,8 +44,8 @@
 #include <libpurple/buddy.h>
 #include <libpurple/connection.h>
 #include <libpurple/group.h>
-#include <libpurple/protocol.h>
 #include <libpurple/purplemessage.h>
+#include <libpurple/purpleprotocol.h>
 
 #define PURPLE_TYPE_PROTOCOL_SERVER (purple_protocol_server_get_type())
 G_DECLARE_INTERFACE(PurpleProtocolServer, purple_protocol_server, PURPLE,
diff --git a/libpurple/purplewhiteboard.c b/libpurple/purplewhiteboard.c
--- a/libpurple/purplewhiteboard.c
+++ b/libpurple/purplewhiteboard.c
@@ -24,9 +24,9 @@
 #include "internal.h"
 #include "purplewhiteboard.h"
 
+#include "purpleprotocol.h"
 #include "purpleprotocolfactory.h"
 #include "purplewhiteboarduiops.h"
-#include "protocol.h"
 #include "util.h"
 
 typedef struct {
diff --git a/libpurple/server.c b/libpurple/server.c
--- a/libpurple/server.c
+++ b/libpurple/server.c
@@ -30,10 +30,10 @@
 #include "debug.h"
 #include "notify.h"
 #include "prefs.h"
-#include "protocol.h"
 #include "purpleconversation.h"
 #include "purpleconversationmanager.h"
 #include "purpleprivate.h"
+#include "purpleprotocol.h"
 #include "purpleprotocolattention.h"
 #include "purpleprotocolchat.h"
 #include "purpleprotocolim.h"
diff --git a/libpurple/util.h b/libpurple/util.h
--- a/libpurple/util.h
+++ b/libpurple/util.h
@@ -42,8 +42,8 @@
 #include "signals.h"
 #include "xmlnode.h"
 #include "notify.h"
-#include "protocol.h"
 #include "protocols.h"
+#include "purpleprotocol.h"
 
 
 typedef char *(*PurpleInfoFieldFormatCallback)(const char *field, size_t len);
diff --git a/libpurple/util.c b/libpurple/util.c
--- a/libpurple/util.c
+++ b/libpurple/util.c
@@ -26,9 +26,9 @@
 #include "core.h"
 #include "debug.h"
 #include "notify.h"
-#include "protocol.h"
 #include "prefs.h"
 #include "purpleconversation.h"
+#include "purpleprotocol.h"
 #include "purpleprotocolclient.h"
 #include "util.h"
 
diff --git a/libpurple/xfer.h b/libpurple/xfer.h
--- a/libpurple/xfer.h
+++ b/libpurple/xfer.h
@@ -53,7 +53,7 @@
 
 #include <libpurple/account.h>
 #include <libpurple/connection.h>
-#include <libpurple/protocol.h>
+#include <libpurple/purpleprotocol.h>
 
 /**
  * PurpleXferType:
